Page MenuHomePhabricator

[lldb] [Process/NetBSD] Report fork/vfork events to LLGS
ClosedPublic

Authored by mgorny on Apr 15 2021, 6:09 AM.

Diff Detail

Event Timeline

mgorny updated this revision to Diff 340251.Apr 24 2021, 2:06 AM

Synced to the Linux plugin.

krytarowski accepted this revision.Apr 25 2021, 6:32 AM
This revision is now accepted and ready to land.Apr 25 2021, 6:32 AM
This revision was landed with ongoing or failed builds.Apr 25 2021, 10:41 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 25 2021, 10:41 AM
labath added inline comments.Apr 27 2021, 5:05 AM
lldb/source/Plugins/Process/NetBSD/NativeProcessNetBSD.cpp
138

Why did we end up with a multiprocess extension? I'd think that support for that is implemented completely inside the gdb-remote class, and there's no need to advertise it's availability by the process plugin?

mgorny added inline comments.Apr 27 2021, 5:30 AM
lldb/source/Plugins/Process/NetBSD/NativeProcessNetBSD.cpp
138

Primarily to make things more consistent and to avoid confusion. For example, right now LLGS strips away extensions that are not supported by the plugin. If plugin didn't report Extension::multiprocess, we'd have to add more special cases to the LLGS code.

labath added inline comments.Apr 27 2021, 6:41 AM
lldb/source/Plugins/Process/NetBSD/NativeProcessNetBSD.cpp
138

I, for one, am confused by it being present here. :)

The consistency argument might make sense if this was the only protocol-level feature, but I can see at least several others which are implemented by the LLGS class: (PacketSize, QStartNoAckMode, vContSupported).

mgorny added inline comments.Apr 27 2021, 10:00 AM
lldb/source/Plugins/Process/NetBSD/NativeProcessNetBSD.cpp
138

Well, I think the main difference is that this one actually takes active part in client-server exchange. I can make a patch later to make it unconditional but I'm not sure if you're going to like the implications.